Error during openvswitch-datapath-dkms installation [closed]

asked 2014-09-22 06:21:56 -0500

mickt gravatar image

updated 2014-09-23 05:43:11 -0500

I've installed OpenStack Icehouse on Ubuntu 14.04 LTS. I see the following during openvswitch-datapath-dkms installation. I'm wondering if it can ignored?

Building module:
cleaning build area....(bad exit status: 2)
./configure --with-linux='/lib/modules/3.13.0-35-generic/build' && make -C datapath/linux......(b
Error! Bad return status for module build on kernel: 3.13.0-35-generic (x86_64)
Consult /var/lib/dkms/openvswitch/2.0.2/build/make.log for more information.

From above referenced log:

checking for kernel version... 3.13.11
configure: error: Linux kernel in /lib/modules/3.13.0-35-generic/build is version 3.13.11, but version newer than 3.12.x is not supported
edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by mickt
close date 2014-09-25 07:22:30.219565

Comments

I was able to resolve similar issue by upgrading the kernal and firmware to proper versions.

sushma-korati gravatar imagesushma-korati ( 2014-09-22 06:37:05 -0500 )edit

Upgrading kernel causes bnx2 failure after reboot. Did you source something which included fix or did you have to manually resolve? Assuming that you encountered this issue.

mickt gravatar imagemickt ( 2014-09-23 02:59:10 -0500 )edit

I have manually fixed it..

sushma-korati gravatar imagesushma-korati ( 2014-09-24 00:57:18 -0500 )edit

I tried different kernels and I keep encountering the error. What kernel version did you use? I can source the various required bnx2 files and add them.

mickt gravatar imagemickt ( 2014-09-24 02:11:42 -0500 )edit

The last kernel I tried was 3.12.27 as the error indicated version newer than 3.12 are unsupported.

mickt gravatar imagemickt ( 2014-09-24 02:24:40 -0500 )edit